#if !defined(_SOCK_INCLUDED)
#define _SOCK_INCLUDED

#include "host.h"

struct Sock
{
	Host *m_pHost;
	SOCKET m_Sock;
	unsigned int m_iPort;
	clock_t m_iTime;        // the time that the socket tried to connect
	clock_t m_iTimeout;     // the time at which the socket timesout
	char m_szBuf[1024];		// output buffer used by plugins
	HANDLE m_hThread;		// handle to thread used ONLY with plugins
	UINT m_addrThread;		// the address of the thread -- not sure why yet
	UINT m_iPluginState;	// 0 means plugin ready to work
							// 1 means plugin pending
							// 2 means close the socket and print output
	bool m_bHeartbeat;      // if true, means this is the special heartbeat signal
	                        // see targets.cpp for more info on this


};

#endif